Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content.security
Class RoleType

    java.lang.Object
      com.plumtree.remote.prc.content.security.RoleType

public class RoleType
extends java.lang.Object

An enumerated type used to describe the role types.

Field Summary
`static RoleType` | `ADMINISTRATOR` Administrator.
`static RoleType` | `CONTRIBUTOR` Contributor.
`static RoleType` | `EDITOR` Editor.
`static RoleType` | `FOLDER_ADMINISTRATOR` FolderAdministrator.
`static RoleType` | `NOACCESS` NoAccess.
`static RoleType` | `PRODUCER` Producer.
`static RoleType` | `SUBMITTER` Submitter.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOACCESS

    public static final RoleType NOACCESS

  NoAccess.

### SUBMITTER

    public static final RoleType SUBMITTER

  Submitter.

### CONTRIBUTOR

    public static final RoleType CONTRIBUTOR

  Contributor.

### EDITOR

    public static final RoleType EDITOR

  Editor.

### PRODUCER

    public static final RoleType PRODUCER

  Producer.

### FOLDER_ADMINISTRATOR

    public static final RoleType FOLDER_ADMINISTRATOR

  FolderAdministrator.

### ADMINISTRATOR

    public static final RoleType ADMINISTRATOR

  Administrator.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.